%define module	ExtUtils-XSBuilder

Summary:	ExtUtils::XSBuilder - Automatic XS glue code generation
Name:		perl-%{module}
Version:	0.28
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/ExtUtils/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-Tie-IxHash
# not automatically detected:
Requires:	perl-Parse-RecDescent perl-Tie-IxHash
BuildArch:	noarch
Epoch:		1
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ExtUtils::XSBuilder is a set modules to parse C header files and create XS
glue code and documentation out of it. Idealy this allows to "write" an
interface to a C library without coding a line. Since no C-API is ideal,
some adjuments are necessary most of the time. So to use this module you
must still be familiar with C and XS programming, but it removes a lot of
stupid work and copy&paste from you. Also when the C API changes, most
of the time you only have to rerun XSBuilder to get your new Perl API.
 
%prep

%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall_std

%__os_install_post
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/ExtUtils/*
%{_mandir}/*/*


%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.28-6mdv2009.0
+ Revision: 256863
- rebuild

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.28-4mdv2008.1
+ Revision: 154205
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:0.28-3mdv2008.0
+ Revision: 67816
- rebuild


* Sun Mar 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.28-2mdv2007.1
+ Revision: 141320
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-ExtUtils-XSBuilder

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.28-1mdk
- 0.28
- Fix URL 
- Fix SOURCE( rpmbuildupdate friendly)
- use mkrel

* Fri May 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.27-2mdk
- fix missing dependancies

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.27-1mdk
- 0.27
- add tests

* Tue Aug 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.23-1mdk
- roll back to 0.23 as embperl won't build until we have 0.26

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.25-2mdk
- rebuild for new perl

* Sat Apr 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.25-1mdk
- 0.25

